petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDAGetGhostCorners

Returns the global (x,y,z) indices of the lower left corner and size of the local region, including ghost points.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetGhostCorners(DM da,PetscInt *x,PetscInt *y,PetscInt *z,PetscInt *m,PetscInt *n,PetscInt *p)

Not Collective

### Input Parameter

da -the distributed array

### Output Parameters

| x,y,z | - the corner indices (where y and z are optional; these are used for 2D and 3D problems)
| m,n,p | - widths in the corresponding directions (where n and p are optional; these are used for 2D and 3D problems)

### Note

The corner information is independent of the number of degrees of freedom per node set with the DMDACreateXX() routine. Thus the x, y, z, and m, n, p can be thought of as coordinates on a logical grid, where each grid point has (potentially) several degrees of freedom. Any of y, z, n, and p can be passed in as NULL if not needed.

### Keywords

distributed array, get, ghost, corners, nodes, local indices

### See Also

DMDAGetCorners(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMDAGetOwnershipRanges()

Level:beginner
Location:src/dm/impls/da/daghost.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex14f.F.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex5f.F.html
src/snes/examples/tutorials/ex5f90.F.html
src/snes/examples/tutorials/ex5f90t.F.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex22f.F.html
src/ts/examples/tutorials/ex22f_mf.F90.html